Xalan-Java: Class DTMProxy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.dtm
Class DTMProxy

    java.lang.Object
      |
      +--org.apache.xalan.xpath.dtm.DTMProxy

public class DTMProxy
extends java.lang.Object
implements org.w3c.dom.Node, org.w3c.dom.Document, org.w3c.dom.Text, org.w3c.dom.Element, org.w3c.dom.Attr, org.w3c.dom.ProcessingInstruction, org.w3c.dom.Comment

**For internal use only** `DTMProxy` presents a DOM Node API front-end to the DTM model.

It does _not_ attempt to address the "node identity" question; no effort is made to prevent the creation of multiple proxies referring to a single DTM node. Users can create a mechanism for managing this, or relinquish the use of "==" and use the .sameNodeAs() mechanism, which is under consideration for future versions of the DOM.

DTMProxy may be subclassed further to present specific DOM node types.

See Also:
  `org.w3c.dom`

Field Summary
`DTM` | `dtm` **For internal use only**

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` **For internal use only**
`void` | `appendData(java.lang.String arg)` **For internal use only**
`org.w3c.dom.Node` | `cloneNode(boolean deep)` **For internal use only**
`org.w3c.dom.Attr` | `createAttribute(java.lang.String name)` **For internal use only**
`org.w3c.dom.Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` **For internal use only**
`org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String data)` **For internal use only**
`org.w3c.dom.Comment` | `createComment(java.lang.String data)` **For internal use only**
`org.w3c.dom.DocumentFragment` | `createDocumentFragment()` **For internal use only**
`org.w3c.dom.Element` | `createElement(java.lang.String tagName)` **For internal use only**
`org.w3c.dom.Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)` **For internal use only**
`org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)` **For internal use only**
`org.w3c.dom.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` **For internal use only**
`org.w3c.dom.Text` | `createTextNode(java.lang.String data)` **For internal use only**
`void` | `deleteData(int offset, int count)` **For internal use only**
`boolean` | `equals(org.w3c.dom.Node node)` **For internal use only** Test for equality based on node number.
`boolean` | `equals(java.lang.Object node)` **For internal use only** Test for equality based on node number.
`java.lang.String` | `getAttribute(java.lang.String name)` **For internal use only**
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)` **For internal use only**
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only**
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only**
`org.w3c.dom.NamedNodeMap` | `getAttributes()` **For internal use only**
`org.w3c.dom.NodeList` | `getChildNodes()` **For internal use only**
`java.lang.String` | `getData()` **For internal use only**
`org.w3c.dom.DocumentType` | `getDoctype()` **For internal use only**
`org.w3c.dom.Element` | `getDocumentElement()` **For internal use only**
`DTM` | `getDTM()` **For internal use only** NON-DOM: Return the DTM model
`int` | `getDTMNodeNumber()` **For internal use only** NON-DOM: Return the DTM node number
`org.w3c.dom.Element` | `getElementById(java.lang.String elementId)` **For internal use only**
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String tagname)` **For internal use only**
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only**
`org.w3c.dom.Node` | `getFirstChild()` **For internal use only**
`org.w3c.dom.DOMImplementation` | `getImplementation()` **For internal use only**
`org.w3c.dom.Node` | `getLastChild()` **For internal use only**
`int` | `getLength()` **For internal use only**
`java.lang.String` | `getLocalName()` **For internal use only**
`java.lang.String` | `getName()` **For internal use only**
`java.lang.String` | `getNamespaceURI()` **For internal use only**
`org.w3c.dom.Node` | `getNextSibling()` **For internal use only**
`java.lang.String` | `getNodeName()` **For internal use only**
`short` | `getNodeType()` **For internal use only**
`java.lang.String` | `getNodeValue()` **For internal use only**
`org.w3c.dom.Document` | `getOwnerDocument()` **For internal use only**
`org.w3c.dom.Element` | `getOwnerElement()` **For internal use only**
`org.w3c.dom.Node` | `getOwnerNode()` **For internal use only**
`org.w3c.dom.Node` | `getParentNode()` **For internal use only**
`java.lang.String` | `getPrefix()` **For internal use only**
`org.w3c.dom.Node` | `getPreviousSibling()` **For internal use only**
`boolean` | `getSpecified()` **For internal use only**
`java.lang.String` | `getTagName()` **For internal use only**
`java.lang.String` | `getTarget()` **For internal use only** A PI's "target" states what processor channel the PI's data should be directed to.
`java.lang.String` | `getValue()` **For internal use only**
`boolean` | `hasAttribute(java.lang.String name)` **For internal use only**
`boolean` | `hasAttributeNS(java.lang.String name, java.lang.String x)` **For internal use only**
`boolean` | `hasAttributes()` **For internal use only** Introduced in DOM Level 2.
`boolean` | `hasChildNodes()` **For internal use only**
`org.w3c.dom.Node` | `importNode(org.w3c.dom.Node importedNode, boolean deep)` **For internal use only**
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` **For internal use only**
`void` | `insertData(int offset, java.lang.String arg)` **For internal use only**
`void` | `normalize()` **For internal use only**
`void` | `removeAttribute(java.lang.String name)` **For internal use only**
`org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr oldAttr)` **For internal use only**
`void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` **For internal use only**
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` **For internal use only**
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` **For internal use only**
`void` | `replaceData(int offset, int count, java.lang.String arg)` **For internal use only**
`boolean` | `sameNodeAs(org.w3c.dom.Node other)` **For internal use only** FUTURE DOM: Test node identity, in lieu of Node==Node
`void` | `setAttribute(java.lang.String name, java.lang.String value)` **For internal use only**
`org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr newAttr)` **For internal use only**
`org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr newAttr)` **For internal use only**
`void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` **For internal use only**
`void` | `setData(java.lang.String data)` **For internal use only**
`void` | `setNodeValue(java.lang.String nodeValue)` **For internal use only**
`void` | `setPrefix(java.lang.String prefix)` **For internal use only**
`void` | `setValue(java.lang.String value)` **For internal use only**
`org.w3c.dom.Text` | `splitText(int offset)` **For internal use only**
`java.lang.String` | `substringData(int offset, int count)` **For internal use only**
`boolean` | `supports(java.lang.String feature, java.lang.String version)` **For internal use only**

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dtm

    public DTM dtm

Method Detail

### getDTM

    public final DTM getDTM()

  **For internal use only** NON-DOM: Return the DTM model

### getDTMNodeNumber

    public final int getDTMNodeNumber()

  **For internal use only** NON-DOM: Return the DTM node number

### equals

    public final boolean equals(org.w3c.dom.Node node)

  **For internal use only** Test for equality based on node number.

### equals

    public final boolean equals(java.lang.Object node)

  **For internal use only** Test for equality based on node number.
  Overrides:
    equals in class java.lang.Object

### sameNodeAs

    public final boolean sameNodeAs(org.w3c.dom.Node other)

  **For internal use only** FUTURE DOM: Test node identity, in lieu of Node==Node

### getNodeName

    public final java.lang.String getNodeName()

  Specified by:
    getNodeName in interface org.w3c.dom.Node
  See Also:
    `Node`

### getTarget

    public final java.lang.String getTarget()

  **For internal use only** A PI's "target" states what processor channel the PI's data should be directed to. It is defined differently in HTML and XML.

  In XML, a PI's "target" is the first (whitespace-delimited) token following the " In HTML, target is always null.

  Note that getNodeName is aliased to getTarget.

  Specified by:
    getTarget in interface org.w3c.dom.ProcessingInstruction

### getLocalName

    public final java.lang.String getLocalName()

  Specified by:
    getLocalName in interface org.w3c.dom.Node
  See Also:
    as of DOM Level 2

### getPrefix

    public final java.lang.String getPrefix()

  Specified by:
    getPrefix in interface org.w3c.dom.Node
  See Also:
    as of DOM Level 2

### setPrefix

    public final void setPrefix(java.lang.String prefix)
                         throws org.w3c.dom.DOMException

  Specified by:
    setPrefix in interface org.w3c.dom.Node
  See Also:
    as of DOM Level 2 -- DTMProxy is read-only

### getNamespaceURI

    public final java.lang.String getNamespaceURI()

  Specified by:
    getNamespaceURI in interface org.w3c.dom.Node
  See Also:
    as of DOM Level 2

### supports

    public final boolean supports(java.lang.String feature,
                                  java.lang.String version)

  Specified by:
    supports in interface org.w3c.dom.Node
  See Also:
    as of DOM Level 2

### getNodeValue

    public final java.lang.String getNodeValue()
                                        throws org.w3c.dom.DOMException

  Specified by:
    getNodeValue in interface org.w3c.dom.Node
  See Also:
    `Node`

### setNodeValue

    public final void setNodeValue(java.lang.String nodeValue)
                            throws org.w3c.dom.DOMException

  Specified by:
    setNodeValue in interface org.w3c.dom.Node
  See Also:
    -- DTMProxy is read-only

### getNodeType

    public final short getNodeType()

  Specified by:
    getNodeType in interface org.w3c.dom.Node
  See Also:
    `Node`

### getParentNode

    public final org.w3c.dom.Node getParentNode()

  Specified by:
    getParentNode in interface org.w3c.dom.Node
  See Also:
    `Node`

### getOwnerNode

    public final org.w3c.dom.Node getOwnerNode()

  See Also:
    `Node`

### getChildNodes

    public final org.w3c.dom.NodeList getChildNodes()

  Specified by:
    getChildNodes in interface org.w3c.dom.Node
  See Also:
    `Node`

### getFirstChild

    public final org.w3c.dom.Node getFirstChild()

  Specified by:
    getFirstChild in interface org.w3c.dom.Node
  See Also:
    `Node`

### getLastChild

    public final org.w3c.dom.Node getLastChild()

  Specified by:
    getLastChild in interface org.w3c.dom.Node
  See Also:
    `Node`

### getPreviousSibling

    public final org.w3c.dom.Node getPreviousSibling()

  Specified by:
    getPreviousSibling in interface org.w3c.dom.Node
  See Also:
    `Node`

### getNextSibling

    public final org.w3c.dom.Node getNextSibling()

  Specified by:
    getNextSibling in interface org.w3c.dom.Node
  See Also:
    `Node`

### getAttributes

    public final org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    getAttributes in interface org.w3c.dom.Node
  See Also:
    `Node`

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Specified by:
    hasAttribute in interface org.w3c.dom.Element

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String name,
                                  java.lang.String x)

  Specified by:
    hasAttributeNS in interface org.w3c.dom.Element

### getOwnerDocument

    public final org.w3c.dom.Document getOwnerDocument()

  Specified by:
    getOwnerDocument in interface org.w3c.dom.Node
  See Also:
    `Node`

### insertBefore

    public final org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                               org.w3c.dom.Node refChild)
                                        throws org.w3c.dom.DOMException

  Specified by:
    insertBefore in interface org.w3c.dom.Node
  See Also:
    -- DTMProxy is read-only

### replaceChild

    public final org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                               org.w3c.dom.Node oldChild)
                                        throws org.w3c.dom.DOMException

  Specified by:
    replaceChild in interface org.w3c.dom.Node
  See Also:
    -- DTMProxy is read-only

### removeChild

    public final org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                       throws org.w3c.dom.DOMException

  Specified by:
    removeChild in interface org.w3c.dom.Node
  See Also:
    -- DTMProxy is read-only

### appendChild

    public final org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                       throws org.w3c.dom.DOMException

  Specified by:
    appendChild in interface org.w3c.dom.Node
  See Also:
    -- DTMProxy is read-only

### hasChildNodes

    public final boolean hasChildNodes()

  Specified by:
    hasChildNodes in interface org.w3c.dom.Node
  See Also:
    `Node`

### cloneNode

    public final org.w3c.dom.Node cloneNode(boolean deep)

  Specified by:
    cloneNode in interface org.w3c.dom.Node
  See Also:
    -- DTMProxy is read-only

### getDoctype

    public final org.w3c.dom.DocumentType getDoctype()

  Specified by:
    getDoctype in interface org.w3c.dom.Document
  See Also:
    `Document`

### getImplementation

    public final org.w3c.dom.DOMImplementation getImplementation()

  Specified by:
    getImplementation in interface org.w3c.dom.Document
  See Also:
    `Document`

### getDocumentElement

    public final org.w3c.dom.Element getDocumentElement()

  Specified by:
    getDocumentElement in interface org.w3c.dom.Document
  See Also:
    `Document`

### createElement

    public final org.w3c.dom.Element createElement(java.lang.String tagName)
                                            throws org.w3c.dom.DOMException

  Specified by:
    createElement in interface org.w3c.dom.Document
  See Also:
    `Document`

### createDocumentFragment

    public final org.w3c.dom.DocumentFragment createDocumentFragment()

  Specified by:
    createDocumentFragment in interface org.w3c.dom.Document
  See Also:
    `Document`

### createTextNode

    public final org.w3c.dom.Text createTextNode(java.lang.String data)

  Specified by:
    createTextNode in interface org.w3c.dom.Document
  See Also:
    `Document`

### createComment

    public final org.w3c.dom.Comment createComment(java.lang.String data)

  Specified by:
    createComment in interface org.w3c.dom.Document
  See Also:
    `Document`

### createCDATASection

    public final org.w3c.dom.CDATASection createCDATASection(java.lang.String data)
                                                      throws org.w3c.dom.DOMException

  Specified by:
    createCDATASection in interface org.w3c.dom.Document
  See Also:
    `Document`

### createProcessingInstruction

    public final org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                               java.lang.String data)
                                                                        throws org.w3c.dom.DOMException

  Specified by:
    createProcessingInstruction in interface org.w3c.dom.Document
  See Also:
    `Document`

### createAttribute

    public final org.w3c.dom.Attr createAttribute(java.lang.String name)
                                           throws org.w3c.dom.DOMException

  Specified by:
    createAttribute in interface org.w3c.dom.Document
  See Also:
    `Document`

### createEntityReference

    public final org.w3c.dom.EntityReference createEntityReference(java.lang.String name)
                                                            throws org.w3c.dom.DOMException

  Specified by:
    createEntityReference in interface org.w3c.dom.Document
  See Also:
    `Document`

### getElementsByTagName

    public final org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagname)

  Specified by:
    getElementsByTagName in interface org.w3c.dom.Document
  See Also:
    `Document`

### importNode

    public final org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                             boolean deep)
                                      throws org.w3c.dom.DOMException

  Specified by:
    importNode in interface org.w3c.dom.Document
  See Also:
    as of DOM Level 2 -- DTMProxy is read-only

### createElementNS

    public final org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                                     java.lang.String qualifiedName)
                                              throws org.w3c.dom.DOMException

  Specified by:
    createElementNS in interface org.w3c.dom.Document
  See Also:
    as of DOM Level 2

### createAttributeNS

    public final org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                                    java.lang.String qualifiedName)
                                             throws org.w3c.dom.DOMException

  Specified by:
    createAttributeNS in interface org.w3c.dom.Document
  See Also:
    as of DOM Level 2

### getElementsByTagNameNS

    public final org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                             java.lang.String localName)

  Specified by:
    getElementsByTagNameNS in interface org.w3c.dom.Document
  See Also:
    as of DOM Level 2

### getElementById

    public final org.w3c.dom.Element getElementById(java.lang.String elementId)

  Specified by:
    getElementById in interface org.w3c.dom.Document
  See Also:
    as of DOM Level 2

### splitText

    public final org.w3c.dom.Text splitText(int offset)
                                     throws org.w3c.dom.DOMException

  Specified by:
    splitText in interface org.w3c.dom.Text
  See Also:
    `Text`

### getData

    public final java.lang.String getData()
                                   throws org.w3c.dom.DOMException

  Specified by:
    getData in interface org.w3c.dom.ProcessingInstruction
  See Also:
    `CharacterData`

### setData

    public final void setData(java.lang.String data)
                       throws org.w3c.dom.DOMException

  Specified by:
    setData in interface org.w3c.dom.ProcessingInstruction
  See Also:
    `CharacterData`

### getLength

    public final int getLength()

  See Also:
    `CharacterData`

### substringData

    public final java.lang.String substringData(int offset,
                                                int count)
                                         throws org.w3c.dom.DOMException

  See Also:
    `CharacterData`

### appendData

    public final void appendData(java.lang.String arg)
                          throws org.w3c.dom.DOMException

  See Also:
    `CharacterData`

### insertData

    public final void insertData(int offset,
                                 java.lang.String arg)
                          throws org.w3c.dom.DOMException

  See Also:
    `CharacterData`

### deleteData

    public final void deleteData(int offset,
                                 int count)
                          throws org.w3c.dom.DOMException

  See Also:
    `CharacterData`

### replaceData

    public final void replaceData(int offset,
                                  int count,
                                  java.lang.String arg)
                           throws org.w3c.dom.DOMException

  See Also:
    `CharacterData`

### getTagName

    public final java.lang.String getTagName()

  Specified by:
    getTagName in interface org.w3c.dom.Element
  See Also:
    `Element`

### getAttribute

    public final java.lang.String getAttribute(java.lang.String name)

  Specified by:
    getAttribute in interface org.w3c.dom.Element
  See Also:
    `Element`

### setAttribute

    public final void setAttribute(java.lang.String name,
                                   java.lang.String value)
                            throws org.w3c.dom.DOMException

  Specified by:
    setAttribute in interface org.w3c.dom.Element
  See Also:
    `Element`

### removeAttribute

    public final void removeAttribute(java.lang.String name)
                               throws org.w3c.dom.DOMException

  Specified by:
    removeAttribute in interface org.w3c.dom.Element
  See Also:
    `Element`

### getAttributeNode

    public final org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  Specified by:
    getAttributeNode in interface org.w3c.dom.Element
  See Also:
    `Element`

### setAttributeNode

    public final org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)
                                            throws org.w3c.dom.DOMException

  Specified by:
    setAttributeNode in interface org.w3c.dom.Element
  See Also:
    `Element`

### removeAttributeNode

    public final org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)
                                               throws org.w3c.dom.DOMException

  Specified by:
    removeAttributeNode in interface org.w3c.dom.Element
  See Also:
    `Element`

### hasAttributes

    public boolean hasAttributes()

  **For internal use only** Introduced in DOM Level 2.
  Specified by:
    hasAttributes in interface org.w3c.dom.Node

### normalize

    public final void normalize()

  Specified by:
    normalize in interface org.w3c.dom.Node
  See Also:
    `Element`

### getAttributeNS

    public final java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                                 java.lang.String localName)

  Specified by:
    getAttributeNS in interface org.w3c.dom.Element
  See Also:
    `Element`

### setAttributeNS

    public final void setAttributeNS(java.lang.String namespaceURI,
                                     java.lang.String qualifiedName,
                                     java.lang.String value)
                              throws org.w3c.dom.DOMException

  Specified by:
    setAttributeNS in interface org.w3c.dom.Element
  See Also:
    `Element`

### removeAttributeNS

    public final void removeAttributeNS(java.lang.String namespaceURI,
                                        java.lang.String localName)
                                 throws org.w3c.dom.DOMException

  Specified by:
    removeAttributeNS in interface org.w3c.dom.Element
  See Also:
    `Element`

### getAttributeNodeNS

    public final org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                                     java.lang.String localName)

  Specified by:
    getAttributeNodeNS in interface org.w3c.dom.Element
  See Also:
    `Element`

### setAttributeNodeNS

    public final org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr newAttr)
                                              throws org.w3c.dom.DOMException

  Specified by:
    setAttributeNodeNS in interface org.w3c.dom.Element
  See Also:
    `Element`

### getName

    public final java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.Attr
  See Also:
    `Attr`

### getSpecified

    public final boolean getSpecified()

  Specified by:
    getSpecified in interface org.w3c.dom.Attr
  See Also:
    `Attr`

### getValue

    public final java.lang.String getValue()

  Specified by:
    getValue in interface org.w3c.dom.Attr
  See Also:
    `Attr`

### setValue

    public final void setValue(java.lang.String value)

  Specified by:
    setValue in interface org.w3c.dom.Attr
  See Also:
    `Attr`

### getOwnerElement

    public final org.w3c.dom.Element getOwnerElement()

  Specified by:
    getOwnerElement in interface org.w3c.dom.Attr
  See Also:
    as of DOM Level 2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.